Links
List my links
GET
/api/linksReturns a paginated list of the current user's tracked links, with search and sorting options.
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Query parameters
| Name | Type | Description |
|---|---|---|
| page | integer | Page number, starting at 1. |
| pageSize | integer | Number of results per page. |
| maxResults | integer | Maximum number of results to include. |
| search | string | Search text used to filter results. |
| orderBy | string | Field to sort the results by. |
| sortDescending | enum<string> | Whether to sort results in descending order. Options: true, false |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| countrequired | number | Number of matching records. |
| datarequired | object[] | Data returned by the operation. |
| isCapped | boolean | Whether the results were truncated by the maximum result limit. |
| orderBy | string | Field to sort the results by. |
| pagerequired | number | Page number, starting at 1. |
| pageSizerequired | number | Number of results per page. |
| search | string | Search text used to filter results. |
| sortDescending | boolean | Whether to sort results in descending order. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL